Bug 728285

Summary: Using MRG Grid with multiple network interfaces
Product: Red Hat Enterprise MRG Reporter: Robert Rati <rrati>
Component: Release_NotesAssignee: Tomas Capek <tcapek>
Status: CLOSED CURRENTRELEASE QA Contact: Jeff Needle <jneedle>
Severity: high Docs Contact:
Priority: high    
Version: 2.0CC: jneedle, ltrilety, matt
Target Milestone: 2.1Keywords: Documentation
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
When MRG Grid ran on a node with multiple network interfaces, it tried to estimate the correct interface for its communications with the remaining MRG Grid nodes. As a consequence, the node could have failed to communicate with other parts of MRG Grid correctly if the wrong interface had been chosen. As a workaround to this issue, MRG Grid can be forced to use a specific network interface by setting the NETWORK_INTERFACE parameter to the IP address of that interface. To determine which interface was used by MRG Grid when it fails to communicate with other parts of the grid, include the D_HOSTNAME variable in the logging configuration of the corresponding daemon.
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-01-31 11:14:37 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 738528    
Bug Blocks: 755648    

Description Robert Rati 2011-08-04 15:19:30 UTC
Description of problem:
When MRG Grid is run on a node with multiple network interfaces it will attempt to choose which interface it believes is the correct one for communications.  If MRG Grid chooses the incorrect interface, the node could fail to communicate with other parts of MRG Grid correctly.  It is possible to see which interface MRG Grid is choosing by adding D_HOSTNAME to the logging for the daemon(s) having problems.  It is possible to force MRG Grid to use a specific network interface by setting the parameter NETWORK_INTERFACE to the IP address or network interface device that MRG Grid should use.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 3 Alison Young 2011-10-14 02:11:31 UTC
Reassigned to Tomas Capek who is looking after Release Notes for MRG 2.1

Comment 4 Douglas Silas 2011-11-21 18:12:31 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
When MRG Grid ran on a node with multiple network interfaces, it tried to estimate the correct interface for its communications with the remaining MRG Grid nodes. As a consequence, the node could have failed to communicate with other parts of MRG Grid correctly if the wrong interface had been chosen. As a workaround to this issue, MRG Grid can be forced to use a specific network interface by setting the NETWORK_INTERFACE parameter to the IP address of that interface. To determine which interface was used by MRG Grid when it fails to communicate with other parts of the grid, include the D_HOSTNAME variable in the logging configuration of the corresponding daemon.